# pragma	once

//=========================================================================
//	* CAbstractWindowArranger
//=========================================================================
//	Provides an abstract interface to classes which determine the size and
//	location of windows on the screen. Each application will typically have
//	several window arrangers, each used with a different class of windows.

class CAbstractWindowArranger
{
public:
	virtual			~CAbstractWindowArranger( ) { }
	virtual BRect	NextFrame( ) = 0;
};
