# include	<CStandardApplication.h>

CStandardApplication::CStandardApplication( ulong inSignature )
	: BApplication( inSignature )
{
	mWindowCount = 0;
}

void CStandardApplication::MessageReceived( BMessage* inMessage )
{
	switch ( inMessage->what )
	{
		case MSG_ADD_CLIENT:
			mWindowCount++;
			break;
			
		case MSG_SUBTRACT_CLIENT:
			mWindowCount--;
			if ( mWindowCount < 1 )
				PostMessage( B_QUIT_REQUESTED );
			break;
		
		default:
			BApplication::MessageReceived( inMessage );
	}
}

