# pragma	once
# ifndef	__GROWBLOCK__
# define	__GROWBLOCK__

class CGrowBlock
{
private:
	area_id			mArea;
	void*			mAddress;
	long			mPhysicalSize;
	long			mLogicalSize;

public:
					CGrowBlock( const char* inName );
					~CGrowBlock( );
					
	void*			Data( ) { return mAddress; }
	const void*		Data( ) const { return mAddress; }
	long			DataSize( ) const { return mLogicalSize; }
	
	void			SetSize( long mSize );
	void			Append( const void* inData, long inSize );
};

# endif