# pragma	once
# ifndef	_IC_TYPES_H
# define	_IC_TYPES_H
 

//=========================================================================
//	* ICTypes.h
//=========================================================================
//	This file contains the type definitions and constants used by IC. It
//	does not contain definitions of data structures used only to describe
//	preferences; these will be found in ICKeys.h.

typedef long ICError;
typedef long ICAttr;

enum {
	
		// Errors
		
	IC_ERROR_MIN		= -666,
	
	IC_ERROR			= IC_ERROR_MIN,
	IC_NO_SUCH_PREF,
	IC_TRUCATED_DATA,
	IC_MEMORY_ERROR,
	IC_NOT_URL,
	IC_NO_AVAILABLE_HELPER,
	
		// DisplayURL flags
		
	IC_SMART_HELPERS	= 0x00000001,
	IC_HANDLE_ERRORS	= 0x00000002,
	
};

# endif